Subject: bug#32931: time-stamp-format: offer numeric time zones too

From: Stephen Gildea <[email-masked]>
Date: Wed, 06 Nov 2019 08:48:46 -0800

Version: 27.1

commit: 9ce67baa9a3733ae93885b6242130497b13c8703
time-stamp: implement numeric time zone conversion

* time-stamp.el: Implement %:z as expanding to the numeric time zone
offset, to address the feature request of bug#32931.  Do not document it
yet, to discourage compatibility problems in mixed Emacs 26 and Emacs 27
environments.  Documentation will be added in a subsequent release at
least two years later.  (We cannot yet use %z for numeric time zone
because in Emacs 26 it was documented to do something else.)

* time-stamp-tests.el (time-stamp-test-format-time-zone): expand this
test and break it into two tests, time-stamp-test-format-time-zone-name
and time-stamp-test-format-time-zone-offset.